Bug 523649 - Thunderbird with Enigmail deadlock when dragging mail that requires a passphrase
Summary: Thunderbird with Enigmail deadlock when dragging mail that requires a passphrase
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: thunderbird
Version: 10
Hardware: All
OS: Linux
low
urgent
Target Milestone: ---
Assignee: Gecko Maintainer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-16 10:30 UTC by Christopher Tubbs
Modified: 2018-04-11 12:41 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-12-18 09:43:10 UTC


Attachments (Terms of Use)

Description Christopher Tubbs 2009-09-16 10:30:04 UTC
Description of problem:
Thunderbird and Enigmail deadlock when trying to drag a signed and/or encrypted mail to another folder if the passphrase isn't cached. Thunderbird changes the icon and prevents other interactions with thunderbird. Meanwhile, since the passphrase isn't cached, Enigmail initiates gpg-agent to prompt for the passphrase, which also blocks out other interactions with Thunderbird. Neither can make progress because neither will let the other retrieve further input from the user.

Version-Release number of selected component (if applicable):
thunderbird-2.0.0.23-1.fc10.i386
fedora-release-10-1.noarch
Enigmail version 0.96.0 (20090717-0949)

How reproducible:
Very high. There may be a slight race condition here, depending on how quickly the passphrase box opens up and how quickly you can drag.

Steps to Reproduce:
1. Open thunderbird with enigmail installed.
2. Ensure that no passphrase is cached.
3. Attempt to move a signed mail message (or encrypted, anything that will require a passphrase prompt, if read) to another folder.
  
Actual results:
Deadlock. One must kill thunderbird.

Expected results:
Progress. Really, thunderbird shouldn't be trying to open an email on mouse-down alone. It should be doing it on the sequence of mouse-down,mouse-up (i.e. click). That would prevent Enigmail from trying to prompt, because it wouldn't know it needs to yet.

Additional info:
I'm running F10 i686, but I think it would happen on any system.

If this bug happens to you, you can do: Ctrl+Alt+F2 and log in to terminal and issue a "killall thunderbird-bin" command. Then enter an "exit" and do Ctrl+Alt+F1 to resume Desktop.

Comment 1 Matěj Cepl 2009-10-01 17:05:05 UTC
I am sorry, but Fedora project doesn't carry Enigmail. You have to file a bug at the bugzilla of the project where you get your package from.

I am really sorry that I cannot help you more.

If in the end you find that this is actually a bug in a package provided by Fedora project, feel free to reopen this bug with additional information.

Bye

Comment 2 Christopher Tubbs 2009-10-01 18:09:37 UTC
The issue is a problem because Thunderbird tries to open an email on mouse-down instead of mouse-down/mouse-up sequence (i.e. click), allowing plug-ins to begin responding (such as opening up pop-up boxes based on the contents of the email, as Enigmail does).

There are really two issues here, and both are Thunderbird:

1. Don't open the email, triggering plug-ins to respond unless the user actually wants to open the email. Dragging an email from one folder to another does NOT constitute a user's desire to open it.

2. Thunderbird should be robust enough to protect itself against deadlocks by realizing that it can't get a mouse up to complete the dragging, if something else has stolen focus.

The problem is most easily exposed with Enigmail, but the problem is nevertheless a Thunderbird one.

As for this bug, fixing the first of the two issues is sufficient. For further Thunderbird stability, fixing the second is a bonus.

Comment 3 Christopher Tubbs 2009-10-01 18:12:58 UTC
For the record, I do not see the deadlock in F11 x86_64 with rpmfusion's version of thunderbird-enigmail.x86_64  (0.97a-0.1.cvs20090721.fc11) because there seems to be a delay in the popup. I do, however, see the attempt to open it problem, when I just want to move the email.

Comment 4 Bug Zapper 2009-11-18 09:31:36 UTC
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 5 Bug Zapper 2009-12-18 09:43:10 UTC
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.